토픽 API
토픽 API에 대해 설명합니다.
이 API를 사용하여 프로젝트 토픽과 상호작용합니다. 자세한 내용은 프로젝트 토픽 을 참조하세요. 모든 토픽 목록 # 연관된 프로젝트 수에 따라 정렬된 GitLab 인스턴스의 프로젝트 토픽 목록을 반환합니다. GET /topics 지원되는 속성: 속성 유형 필수 설명 page integer 아니요 검색할 페이지. 기본값은 1 입니다. per_page integer 아니요 페이지당 반환할 레코드 수. 기본값은 20 입니다. search string 아니요 name 에 대한 토픽 검색. without_projects boolean 아니요 연관된 프로젝트가 없는 토픽으로 결과를 제한합니다. 요청 예시: curl --request GET \ --url "https://gitlab.example.com/api/v4/topics?search=git" 응답 예시: [ { "id" : 1 , "name" : "gitlab" , "title" : "GitLab" , "description" : "GitLab is an open source end-to-end software development platform with built-in version control, issue tracking, code review, CI/CD, and more." , "total_projects_count" : 1000 , "organization_id" : 1 , "avatar_url" : "http://www.gravatar.com/avatar/a0d477b3ea21970ce6ffcbb817b0b435?s=80&d=identicon" } , { "id" : 3 , "name" : "git" , "title" : "Git" , "description" : "Git is a free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency." , "total_projects_count" : 900 , "organization_id" : 1 , "avatar_url" : "http://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" } , { "id" : 2 , "name" : "git-lfs" , "title" : "Git LFS" , "description" : null , "total_projects_count" : 300 , "organization_id" : 1 , "avatar_url" : null } ] 토픽 검색 # ID로 프로젝트 토픽을 검색합니다. GET /topics/:id 지원되는 속성: 속성 유형 필수 설명 id integer 예 프로젝트 토픽의 ID 요청 예시: curl --request GET \ --url "https://gitlab.example.
